Bug 179511 - pam_succeed_if.so module fails with: PAM unable to resolve symbol: pam_sm_chauthtok
pam_succeed_if.so module fails with: PAM unable to resolve symbol: pam_sm_cha...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
4
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 17:21 EST by Giovanni Bacci
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 08:38:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Giovanni Bacci 2006-01-31 17:21:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.0 (like Gecko)

Description of problem:
I've tried a line like this: 
password    requisite     pam_succeed_if.so uid < 500 
in pam.d/system-auth, but fails with this error message (from messages log): 
passwd: PAM adding faulty module: /lib/security/pam_succed_if.so 
passwd: PAM unable to resolve symbol: pam_sm_chauthtok 

Version-Release number of selected component (if applicable):
pam-0.79-9.6

How reproducible:
Always

Steps to Reproduce:
1.add this config line: 
password    requisite     pam_succeed_if.so uid < 500 
in /etc/pam.d/system-auth 
2. try to change your password with passwd 
3. the operation fails, and you can read the error message in the syslog 
    

Actual Results:  passwd: PAM adding faulty module: /lib/security/pam_succed_if.so  
passwd: PAM unable to resolve symbol: pam_sm_chauthtok 

Expected Results:  Password change success if uid <500, failure otherwise. 

Additional info:
Comment 1 Tomas Mraz 2006-02-01 03:25:52 EST
/lib/security/pam_succed_if.so
                      ^ typo?

What 'rpm -V pam' prints?
Comment 2 Tomas Mraz 2006-02-01 03:27:46 EST
pam_succeed_if.so doesn't support passwd phase. That's a missing feature, not a
bug, sorry.
Comment 3 Giovanni Bacci 2006-02-01 08:38:02 EST
(In reply to comment #2) 
> pam_succeed_if.so doesn't support passwd phase. That's a missing feature, 
not a 
> bug, sorry. 
 
  Sorry, i didn't read the docs accurately. It's clearly reported 
in /usr/share/doc/pam-0.79/txts/README.pam_succeed_if : 
MODULE SERVICES PROVIDED: 
        authentication, account management 
 
  BTW, i've closed this bug report. 

Note You need to log in before you can comment on or make changes to this bug.